import simplify, compiler, sys, os
import fixnames
import annotate

a = annotate.Annotator()
b = compiler.parseFile(os.path.join("lib", "builtins.py"))
m = compiler.parseFile(sys.argv[1])
builtins_simplifier = simplify.Simplifier()
builtins_simplifier.process(b)
module_simplifier = simplify.Simplifier()
module_simplifier.process(m)
builtins_fixer = fixnames.Fixer()
builtins_fixer.process_all(builtins_simplifier)
module_fixer = fixnames.Fixer()
module_fixer.process_all(module_simplifier)
rb = builtins_simplifier.result
r = module_simplifier.result
